Date: Sunday, February 4, 2018 @ 20:08:57
  Author: muflone
Revision: 289070

archrelease: copy trunk to community-testing-x86_64

Added:
  sweethome3d/repos/community-testing-x86_64/
  sweethome3d/repos/community-testing-x86_64/PKGBUILD
    (from rev 289069, sweethome3d/trunk/PKGBUILD)
  sweethome3d/repos/community-testing-x86_64/sweethome3d.desktop
    (from rev 289069, sweethome3d/trunk/sweethome3d.desktop)
  sweethome3d/repos/community-testing-x86_64/sweethome3d.install
    (from rev 289069, sweethome3d/trunk/sweethome3d.install)
  sweethome3d/repos/community-testing-x86_64/sweethome3d.sh
    (from rev 289069, sweethome3d/trunk/sweethome3d.sh)
  sweethome3d/repos/community-testing-x86_64/sweethome3d.xml
    (from rev 289069, sweethome3d/trunk/sweethome3d.xml)

---------------------+
 PKGBUILD            |   54 ++++++++++++++++++++++++++++++++++++++++++++++++++
 sweethome3d.desktop |   11 ++++++++++
 sweethome3d.install |   10 +++++++++
 sweethome3d.sh      |   44 ++++++++++++++++++++++++++++++++++++++++
 4 files changed, 119 insertions(+)

Copied: sweethome3d/repos/community-testing-x86_64/PKGBUILD (from rev 289069, 
sweethome3d/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD                           (rev 0)
+++ community-testing-x86_64/PKGBUILD   2018-02-04 20:08:57 UTC (rev 289070)
@@ -0,0 +1,54 @@
+# $Id$
+# Maintainer: Muflone http://www.muflone.com/contacts/english/
+# Contributor: jsteel <mail at jsteel dot org>
+# Contributor: Daniel YC Lin <dlin.tw at gmail>
+# Contributor: Tdy  <t...@gmx.com>
+# Contributor: Biginoz <biginoz at free.fr>
+# Contributor: Archan Paul <paul.arc...@gmail.com>
+
+pkgname=sweethome3d
+pkgver=5.7
+pkgrel=1
+pkgdesc="An interior design application to draw the plan of your house in a 3D 
environment"
+arch=('x86_64')
+url="http://www.sweethome3d.com/";
+license=('GPL' 'custom')
+depends=('java-runtime>=8' 'shared-mime-info' 'desktop-file-utils' 'libxext' 
'libgl' 'libxrender')
+source=("SweetHome3D-${pkgver}-linux-x64.tgz"::"http://downloads.sourceforge.net/${pkgname}/SweetHome3D-${pkgver}-linux-x64.tgz";
+        "${pkgname}.sh"
+        "${pkgname}.desktop"
+        "${pkgname}.xml")
+sha256sums=('e6912b03e4c0ac990c10995d0d29a82c089021b2446ca16517650a3214f096ff'
+            'c1a76d4131ddf04375bab3e98d646543b4967af623a6aee0e19bac7d40d7ecef'
+            '5eea3337d956d773b05ddef69fe9d34b940ff550370dc92bf307f1b9a3957f9e'
+            'ec0ad1a0671f708af68ced46bec1f4ab377e24ca1a0a9984867ee5fe484f57c5')
+install="${pkgname}.install"
+
+package() {
+  # Desktop and launchers
+  cd "${srcdir}"
+  install -m 755 -D "${pkgname}.sh" "${pkgdir}/usr/bin/${pkgname}"
+  install -m 755 -D "${pkgname}.desktop" 
"${pkgdir}/usr/share/applications/${pkgname}.desktop"
+  install -m 644 -D "${pkgname}.xml" 
"${pkgdir}/usr/share/mime/packages/${pkgname}.xml"
+  # Install licenses
+  cd "SweetHome3D-${pkgver}"
+  install -m 755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m 755 -t "${pkgdir}/usr/share/licenses/${pkgname}" 
THIRDPARTY-LICENSE-*
+  # Install icon
+  install -m 644 -D "SweetHome3DIcon.png" 
"${pkgdir}/usr/share/pixmaps/${pkgname}.png"
+  # Install javaws.jar from jre8
+  install -m 755 -d "${pkgdir}/usr/share/java/${pkgname}"
+  install -m 644 -t "${pkgdir}/usr/share/java/${pkgname}" jre8/lib/javaws.jar
+  # Install main program and libraries
+  cd "lib"
+  install -m 644 -t "${pkgdir}/usr/share/java/${pkgname}" *.jar
+  # Java3D 1.5 libraries
+  install -m 755 -d "${pkgdir}/usr/lib/${pkgname}/java3d-1.5"
+  mv -t "${pkgdir}/usr/lib/${pkgname}/java3d-1.5" \
+    
"${pkgdir}"/usr/share/java/${pkgname}/{j3dcore.jar,j3dutils.jar,vecmath.jar}
+  install -m 755 -t "${pkgdir}/usr/lib/${pkgname}/java3d-1.5" libj3dcore-ogl.so
+  # Java3D 1.6 libraries
+  install -m 755 -d "${pkgdir}/usr/lib/${pkgname}/java3d-1.6"
+  install -m 644 -t "${pkgdir}/usr/lib/${pkgname}/java3d-1.6" java3d-1.6/*.jar
+  install -m 755 -t "${pkgdir}/usr/lib/${pkgname}/java3d-1.6" java3d-1.6/*.so
+}

Copied: sweethome3d/repos/community-testing-x86_64/sweethome3d.desktop (from 
rev 289069, sweethome3d/trunk/sweethome3d.desktop)
===================================================================
--- community-testing-x86_64/sweethome3d.desktop                                
(rev 0)
+++ community-testing-x86_64/sweethome3d.desktop        2018-02-04 20:08:57 UTC 
(rev 289070)
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=Sweet Home 3D
+Comment=An interior design application
+TryExec=sweethome3d
+Exec=sweethome3d %f
+Icon=sweethome3d
+Categories=Office;Java;
+StartupWMClass=com-eteks-sweethome3d-SweetHome3D
+MimeType=application/x-sweethome3d

Copied: sweethome3d/repos/community-testing-x86_64/sweethome3d.install (from 
rev 289069, sweethome3d/trunk/sweethome3d.install)
===================================================================
--- community-testing-x86_64/sweethome3d.install                                
(rev 0)
+++ community-testing-x86_64/sweethome3d.install        2018-02-04 20:08:57 UTC 
(rev 289070)
@@ -0,0 +1,10 @@
+post_install() {
+  echo "If the application claims there's no graphic support for 3D rendering"
+  echo "you can switch to Java3D 1.5 by using:"
+  echo "SWEETHOME3D_JAVA3D=1.5 sweethome3d"
+  echo "or set the SWEETHOME3D_JAVA3D environment variable in your profile"
+}
+
+post_upgrade() {
+  post_install $1
+}

Copied: sweethome3d/repos/community-testing-x86_64/sweethome3d.sh (from rev 
289069, sweethome3d/trunk/sweethome3d.sh)
===================================================================
--- community-testing-x86_64/sweethome3d.sh                             (rev 0)
+++ community-testing-x86_64/sweethome3d.sh     2018-02-04 20:08:57 UTC (rev 
289070)
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+APP_CLASSPATH=""
+JAVA_EXEC=""
+JAVA_OPTS="${JAVA_OPTS} -Xmx1024m"
+
+if [ -n "${JAVA_HOME}" ]
+then
+  if [ -x "${JAVA_HOME}/bin/java" ]
+  then
+    JAVA_EXEC="${JAVA_HOME}/bin/java"
+  fi
+else
+  JAVA_EXEC="$(which java)"
+fi
+
+if [ -z "${JAVA_EXEC}" ]
+then
+  echo "No 'java' executable can be found, please set JAVA_HOME variable or"
+  echo "use the 'archlinux-java' script to set the Java version."
+  exit 1
+fi
+
+# Build classpath
+APP_CLASSPATH="SweetHome3D.jar:Furniture.jar:Textures.jar:Help.jar:iText-2.1.7.jar:freehep-vectorgraphics-svg-2.1.1b.jar:sunflow-0.07.3i.jar:jmf.jar:batik-svgpathparser-1.7.jar"
+if [ "${SWEETHOME3D_JAVA3D}" = "1.5" ]
+then
+  JAVA_OPTS="${JAVA_OPTS} -Djava.library.path=/usr/lib/sweethome3d/java3d-1.5"
+  
APP_CLASSPATH="${APP_CLASSPATH}:/usr/lib/sweethome3d/java3d-1.5/j3dcore.jar:/usr/lib/sweethome3d/java3d-1.5/j3dutils.jar:/usr/lib/sweethome3d/java3d-1.5/vecmath.jar"
+else
+  JAVA_OPTS="${JAVA_OPTS} -Djava.library.path=/usr/lib/sweethome3d/java3d-1.6 
-Djogamp.gluegen.UseTempJarCache=false"
+  
APP_CLASSPATH="${APP_CLASSPATH}:/usr/lib/sweethome3d/java3d-1.6/j3dcore.jar:/usr/lib/sweethome3d/java3d-1.6/j3dutils.jar:/usr/lib/sweethome3d/java3d-1.6/vecmath.jar:/usr/lib/sweethome3d/java3d-1.6/gluegen-rt.jar:/usr/lib/sweethome3d/java3d-1.6/jogl-java3d.jar"
+fi
+APP_CLASSPATH="${APP_CLASSPATH}:javaws.jar"
+
+cd "/usr/share/java/sweethome3d"
+
+exec "${JAVA_EXEC}" \
+     -classpath "${APP_CLASSPATH}" \
+     ${JAVA_OPTS} \
+     -Dcom.eteks.sweethome3d.applicationId=SweetHome3D#Installer \
+     com.eteks.sweethome3d.SweetHome3D \
+     -open "$1"
+

Copied: sweethome3d/repos/community-testing-x86_64/sweethome3d.xml (from rev 
289069, sweethome3d/trunk/sweethome3d.xml)
===================================================================
(Binary files differ)

Reply via email to